PhotoGPT Developers

Get a video by ID

GET
/videos/{videoID}

Retrieves sanitized video metadata by video ID.

Authorization

BearerAuth
AuthorizationBearer <token>

Developer API key. Send as Authorization: Bearer <api_key>.

In: header

Path Parameters

videoID*string

Video ID

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/videos/string"
{  "result": {    "createdAt": "string",    "data": {      "property1": null,      "property2": null    },    "folderID": "string",    "id": "string",    "jobId": "string",    "liked": true,    "modelID": "string",    "publicMediaID": "string",    "type": "string",    "updatedAt": "string",    "url": "string"  },  "status": "OK"}
{  "err": "string",  "message": "string",  "result": null,  "status": "NOK"}
{  "err": "string",  "message": "string",  "result": null,  "status": "NOK"}
{  "err": "string",  "message": "string",  "result": null,  "status": "NOK"}